libparanamer-java_2.8-4_all.deb


Advertisement

Description

libparanamer-java - Java library to access method parameter names at runtime

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename libparanamer-java_2.8-4_all.deb
Package name libparanamer-java
Package version 2.8
Package release 4
Package architecture all
Package type deb
Category implemented-in::java java role::shared-lib
Homepage https://github.com/paul-hammant/paranamer
License -
Maintainer Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Download size 40.29 KB
Installed size 73.00 KB
Paranamer is a library that allows the parameter names of non-private methods
and constructors to be accessed at runtime. Normally this information is
dropped by the compiler. With the advent of advanced scripting languages and
web action frameworks for the Java Virtual Machine it is of increasing
importance to be able to leverage a method's parameter names. Scripting
languages like Groovy & JRuby, web action frameworks like Waffle and VRaptor
and the compelling Grails as well as SOAP and REST designs could also benefit.

Alternatives

Package Version Architecture Repository
libparanamer-java_2.8-4_all.deb 2.8 all Debian Main
libparanamer-java - - -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libparanamer-java_2.8-4_all.deb
Source Package libparanamer-java

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libparanamer-java deb package:
    # sudo apt-get install libparanamer-java

Files

Path
/usr/share/doc/libparanamer-java/changelog.Debian.gz
/usr/share/doc/libparanamer-java/changelog.gz
/usr/share/doc/libparanamer-java/copyright
/usr/share/java/paranamer-2.8.jar
/usr/share/java/paranamer.jar
/usr/share/maven-repo/com/thoughtworks/paranamer/paranamer-parent/2.8/paranamer-parent-2.8.pom
/usr/share/maven-repo/com/thoughtworks/paranamer/paranamer-parent/debian/paranamer-parent-debian.pom
/usr/share/maven-repo/com/thoughtworks/paranamer/paranamer/2.8/paranamer-2.8.jar
/usr/share/maven-repo/com/thoughtworks/paranamer/paranamer/2.8/paranamer-2.8.pom
/usr/share/maven-repo/com/thoughtworks/paranamer/paranamer/debian/paranamer-debian.jar
/usr/share/maven-repo/com/thoughtworks/paranamer/paranamer/debian/paranamer-debian.pom

Changelog

2017-09-11 - Emmanuel Bourg <ebourg@apache.org>
libparanamer-java (2.8-4) unstable; urgency=medium
* Team upload.
* Transition to Maven 3
* Removed the unused build dependency on libmaven-install-plugin-java
* Standards-Version updated to 4.1.0
* Switch to debhelper level 10
2016-10-03 - Emmanuel Bourg <ebourg@apache.org>
libparanamer-java (2.8-3) unstable; urgency=medium
* Team upload.
* Depend on libasm-java (>= 5.0) instead of libasm4-java
* Standards-Version updated to 3.9.8
2016-01-27 - Markus Koschany <apo@debian.org>
libparanamer-java (2.8-2) unstable; urgency=medium
* Readd accidentally removed 2.7+repack-2 changelog.
* Fix Vcs-Git URI to use https and git/pkg-java.
2016-01-26 - Markus Koschany <apo@debian.org>
libparanamer-java (2.8-1) unstable; urgency=medium
* Imported Upstream version 2.8. (Closes: #798670)
- Switch to libasm4-java. (Closes: #800869)
- Switch from libqdox-java to libqdox2-java.
- Use Build-Depends field because this package only builds for arch:all.
* Vcs-fields: Switch to https.
* Update debian/watch. Watch github repository.
* Add Files-Excluded paragraph and remove javadoc files and one js file
which appears to be not the preferred form of modification.
* Change copyright of debian directory to BSD-3-clause.
* Remove orig-tar.sh script.
* Update maven.rules and maven.ignoreRules for new release.
* Add paranamer-maven-plugin to maven.rules to create an unversioned debian
jar file. This should prevent the FTBFS due to the missing artifact. For
now paranamer-maven-plugin must be ignored in maven.ignoreRules until the
new version enters the archive.
* Drop test patches and skip all tests for now until OpenJDK 8 is the new
default JDK.
* Build with --parallel.
* Set sourceEncoding to UTF-8.
* Update my e-mail address.
* Remove Lintian override.
2015-11-13 - Emmanuel Bourg <ebourg@apache.org>
libparanamer-java (2.7+repack-2) unstable; urgency=medium
* Team upload.
* Depend on libmaven3-core-java instead of libmaven2-core-java
* Build with the DH sequencer instead of CDBS
2015-05-19 - Emmanuel Bourg <ebourg@apache.org>
libparanamer-java (2.7+repack-1) unstable; urgency=medium
* Team upload.
* Repackaged the upstream tarball to include the full source tree from Github
* Build with maven-debian-helper
* Build the paranamer-maven-plugin and package it
as libparanamer-maven-plugin-java (Closes: #776586)
* Do not reference the parent POM in the paranamer's POM (Closes: #776583)
* Enabled the unit tests (except JavadocParanamerTest)
* debian/copyright:
- Credited Timothy Cleaver and Stefan Fleiter
- Mention the ASM fork in BytecodeReadingParanamer.java
* Use XZ compression for the upstream tarball
2014-10-31 - Markus Koschany <apo@gambaru.de>
libparanamer-java (2.7-1) unstable; urgency=low
* Reintroduction of libparanamer-java. (Closes: #766255)
* Switch to dh sequencer, javahelper and maven_repo_helper.
* Declare compliance with Debian Policy 3.9.6.
* Use Git repository for packaging.
* Add libparanamer-java-doc binary package.
* Use compat level 9 and require debhelper >= 9.
2009-11-04 - Michael Koch <konqueror@gmx.de>
libparanamer-java (2.1-1) unstable; urgency=low
* New upstream release.
* (Build-)Depends on default-jdk.
* Build-Depends on debhelper (>= 7).
* Move package into java section.
* Added myself to Uploaders.
* Updated Standards-Version to 3.8.3.
2009-03-01 - Varun Hiremath <varun@debian.org>
libparanamer-java (1.3-1) unstable; urgency=low
* New upstream release
2008-06-22 - Varun Hiremath <varun@debian.org>
libparanamer-java (1.1.4-1) unstable; urgency=low
* New upstream release
* Bump Standards-Version to 3.8.0

See Also

Package Description
libparanamer-maven-plugin-java_2.8-4_all.deb Paranamer Maven Plugin
libparanoid-perl_2.06-1_all.deb module for safer, more secure programming
libparboiled-java_1.1.7-2_all.deb Parser library based on Parsing Expression Grammars (PEGs)
libpari-dev_2.11.1-2_i386.deb PARI/GP Computer Algebra System development files
libpari-gmp-tls6_2.11.1-2_i386.deb PARI/GP Computer Algebra System shared library
libparistraceroute-dev_0.93+git20160927-1_i386.deb network measurement tool library (development files)
libparistraceroute1_0.93+git20160927-1_i386.deb network measurement tool library
libparlatype-dev_1.5.6-1_i386.deb Library for Parlatype - development version
libparlatype-doc_1.5.6-1_all.deb Documentation files for the Parlatype library
libparlatype1_1.5.6-1_i386.deb Library for Parlatype - runtime version
libparmap-ocaml-dev_1.0~rc10-1_i386.deb small OCaml library allowing to exploit multicore architectures
libparmap-ocaml_1.0~rc10-1_i386.deb small OCaml library allowing to exploit multicore architectures
libparpack2-dev_3.7.0-2_i386.deb Parallel subroutines to solve large scale eigenvalue problems (development)
libparpack2_3.7.0-2_i386.deb Parallel subroutines to solve large scale eigenvalue problems
libparse-bbcode-perl_0.15-1_all.deb Perl module to parse BBCode and render it as HTML or text
Advertisement
Advertisement